## arsenic 21.8

=== debian/changelog ===
arsenic (21.8-2) unstable; urgency=medium

  * Fixup package description to mention also other drivers.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Mar 2023 08:08:10 +0100

arsenic (21.8-1) unstable; urgency=low

  * Initial release (Closes: #1031139)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Jan 2023 14:46:32 +0000
